Get player season stats for a team
curl --request GET \
--url https://therundown.io/api/v2/teams/{teamID}/players/stats \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v2/teams/{teamID}/players/stats"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v2/teams/{teamID}/players/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"player": {
"id": 16627,
"sport_id": 4,
"team_id": 11,
"first_name": "Trae",
"last_name": "Young",
"display_name": "Trae Young",
"jersey": "11",
"position": "Guard",
"position_abbreviation": "G"
},
"stats": [
{
"player_id": 16627,
"stat_id": 1288,
"stat": {
"id": 1288,
"name": "avgRebounds",
"display_name": "Rebounds Per Game",
"abbreviation": "REB",
"sport_id": 4
},
"season_year": 2026,
"season_type": 2,
"season_type_name": "Regular Season",
"value": 3.2,
"display_value": "3.2"
}
]
}
]V2 Teams
Get player season stats for a team
GET
/
api
/
v2
/
teams
/
{teamID}
/
players
/
stats
Get player season stats for a team
Authorizations
Recommended API key request header for new integrations
Path Parameters
Query Parameters
Comma-separated stat IDs (max 12)
Comma-separated player IDs
Season year (defaults to current year)